Flash Player

Apple Blocks Older Versions of Adobe’s Flash Player in Safari

Earlier this week, Adobe released a critical update for Flash Player that fixed a security vulnerability affecting Mac OS X, Windows, and Linux. According to the support article on Apple website, if the version of Adobe Flash plug-in you are using is out of date, you may see the message, "Blocked plug-in", "Flash Security Alert” or "Flash...